- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_handler_desc.h File Reference

`#include <axutil_utils_defines.h>`
`#include <axutil_qname.h>`
`#include <axutil_param.h>`
`#include <axutil_param_container.h>`
`#include <axis2_phase_rule.h>`
`#include <axis2_handler.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_handler_desc | axis2_handler_desc_t
## Functions
AXIS2_EXTERN const axutil_string_t * | axis2_handler_desc_get_name (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_set_name (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, axutil_string_t *name)
AXIS2_EXTERN axis2_phase_rule_t * | axis2_handler_desc_get_rules (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_set_rules (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, axis2_phase_rule_t *phase_rule)
AXIS2_EXTERN axutil_param_t * | axis2_handler_desc_get_param (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_add_param (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_array_list_t * | axis2_handler_desc_get_all_params (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_handler_desc_is_param_locked (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_handler_t * | axis2_handler_desc_get_handler (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_set_handler (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, axis2_handler_t *handler)
AXIS2_EXTERN const axis2_char_t * | axis2_handler_desc_get_class_name (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_set_class_name (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, const axis2_char_t *class_name)
AXIS2_EXTERN axutil_param_container_t * | axis2_handler_desc_get_parent (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_handler_desc_set_parent (axis2_handler_desc_t *handler_desc, const axutil_env_t *env, axutil_param_container_t *parent)
AXIS2_EXTERN void | axis2_handler_desc_free (axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axutil_param_container_t * | axis2_handler_desc_get_param_container (const axis2_handler_desc_t *handler_desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_handler_desc_t * | axis2_handler_desc_create (const axutil_env_t *env, axutil_string_t *name)

## Detailed Description